Bug 811661 - Review Request: scirenderer - A Java rendering library based on JoGL
Review Request: scirenderer - A Java rendering library based on JoGL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: JOGL2
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 12:20 EDT by Clément DAVID
Modified: 2013-04-12 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 03:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brendan.jones.it: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Clément DAVID 2012-04-11 12:20:10 EDT
Spec URL: http://davidcl.fedorapeople.org/scirenderer.spec
SRPM URL: http://davidcl.fedorapeople.org/scirenderer-0.3.5-1.fc16.src.rpm
Description: 
This Java API allows 2-D or 3-D plotting from simple 2-D graph to complex
scenes.
Independent library and used within Scilab software but is
available for other application and developments.

Note that this will be a strong dependency for Scilab 5.4.0 - beta
Comment 1 Clément DAVID 2012-04-13 03:31:02 EDT
Spec URL: http://davidcl.fedorapeople.org/scirenderer.spec
SRPM URL: http://davidcl.fedorapeople.org/scirenderer-0.3.5-2.fc16.src.rpm

changes: Fix the javadoc build issues (non ASCII characters).
rpmlint: PASS
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3987042
Comment 2 Alexander Kurtakov 2012-04-20 09:55:37 EDT
The bug should be in new state until someone take it.
Comment 4 Brendan Jones 2012-10-29 16:12:02 EDT
Nice work. This follows the java guidelines exactly. License is good.

Scratch build successful http://koji.fedoraproject.org/koji/taskinfo?taskID=4636605

PACKAGE APPROVED


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[x] = Manual review needed


Issues:
=======
[!]: Package installs properly.
     Note: Installation errors (see attachment)
See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[+]: Package requires other packages for directories it uses.
[+]: Package uses nothing in %doc for runtime.
[+]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     javadoc
[+]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[+]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[+]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/bsjones/rpmbuild/SRPMS/review-
     scirenderer/licensecheck.txt
[+]: License file installed when any subpackage combination is installed.
[+]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[+]: Package is named according to the Package Naming Guidelines.
[+]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[+]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[+]: Package must own all directories that it creates.
[+]: Package does not own files or directories owned by other packages.
[+]: Package installs properly.
[+]: Package is not relocatable.
[+]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Java:
[ ]: If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: Old add_to_maven_depmap macro is not being used
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[+]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[+]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[+]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

Java:
[+]: Package has BuildArch: noarch (if possible)
[+]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Rpmlint
-------
Checking: scirenderer-1.0.2-1.fc19.noarch.rpm
          scirenderer-javadoc-1.0.2-1.fc19.noarch.rpm
          scirenderer-1.0.2-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Requires
--------
scirenderer-1.0.2-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    java
    jlatexmath
    jogl2
    jpackage-utils

scirenderer-javadoc-1.0.2-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils



Provides
--------
scirenderer-1.0.2-1.fc19.noarch.rpm:
    
    scirenderer = 1.0.2-1.fc19

scirenderer-javadoc-1.0.2-1.fc19.noarch.rpm:
    
    scirenderer-javadoc = 1.0.2-1.fc19



MD5-sum check
-------------
http://forge.scilab.org/index.php/p/scirenderer/downloads/get/scirenderer-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 9fb2e3a152a7b56794286b295291ebec7b8b9fe2f4cf779134c3b216ce0dc17d
  CHECKSUM(SHA256) upstream package : 9fb2e3a152a7b56794286b295291ebec7b8b9fe2f4cf779134c3b216ce0dc17d


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-16-x86_64
Command line :/usr/bin/fedora-review --rpm-spec --prebuilt --name scirenderer
Comment 5 Clément DAVID 2012-10-30 06:48:11 EDT
New Package SCM Request
=======================
Package Name: scirenderer
Short Description: A Java rendering library based on JoGL
Owners: davidcl
Branches: f17 f18 el6
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2012-10-30 07:18:37 EDT
Git done (by process-git-requests).

Brendan, please take ownership of review BZs, thanks!
Comment 7 Fedora Update System 2012-11-16 09:02:06 EST
scirenderer-1.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/scirenderer-1.0.2-2.fc18
Comment 8 Fedora Update System 2012-11-16 09:31:21 EST
scirenderer-1.0.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/scirenderer-1.0.2-2.fc17
Comment 9 Fedora Update System 2012-11-16 21:26:11 EST
scirenderer-1.0.2-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-11-23 03:02:02 EST
scirenderer-1.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2012-11-28 06:33:34 EST
scirenderer-1.0.2-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.